DOM::HTMLScriptElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLScriptElement Class Reference

Script statements. More...

`#include <html_head.h>`

Inheritance diagram for DOM::HTMLScriptElement:

[legend]
Collaboration diagram for DOM::HTMLScriptElement:

[legend]
List of all members.

## Public Member Functions
| HTMLScriptElement (const HTMLScriptElement &other)
| HTMLScriptElement (const Node &other)
HTMLScriptElement & | operator= (const HTMLScriptElement &other)
HTMLScriptElement & | operator= (const Node &other)
DOMString | text () const
| The script content of the element.
void | setText (const DOMString &)
| see text
DOMString | htmlFor () const
| Reserved for future use.
void | setHtmlFor (const DOMString &)
| see htmlFor
DOMString | event () const
| Reserved for future use.
void | setEvent (const DOMString &)
| see event
DOMString | charset () const
| The character encoding of the linked resource.
void | setCharset (const DOMString &)
| see charset
bool | defer () const
| Indicates that the user agent can defer processing of the script.
void | setDefer (bool)
| see defer
DOMString | src () const
| URI designating an external script.
void | setSrc (const DOMString &)
| see src
DOMString | type () const
| The content type of the script language.
void | setType (const DOMString &)
| see type
## Protected Member Functions
| HTMLScriptElement (HTMLScriptElementImpl *impl)

## Detailed Description

Script statements.

See the SCRIPT element definition in HTML 4.0.

Definition at line 336 of file html_head.h.

## Member Function Documentation

DOMString HTMLScriptElement::text | ( |  | ) | const

| The script content of the element. Definition at line 324 of file html_head.cpp.

void HTMLScriptElement::setText | ( | const DOMString & |  | ) |

| see text Definition at line 330 of file html_head.cpp.

DOMString HTMLScriptElement::htmlFor | ( |  | ) | const

| Reserved for future use. Definition at line 335 of file html_head.cpp.

void HTMLScriptElement::setHtmlFor | ( | const DOMString & |  | ) |

| see htmlFor Definition at line 341 of file html_head.cpp.

DOMString HTMLScriptElement::event | ( |  | ) | const

| Reserved for future use. Definition at line 346 of file html_head.cpp.

void HTMLScriptElement::setEvent | ( | const DOMString & |  | ) |

| see event Definition at line 352 of file html_head.cpp.

DOMString HTMLScriptElement::charset | ( |  | ) | const

| The character encoding of the linked resource. See the charset attribute definition in HTML 4.0. Definition at line 357 of file html_head.cpp.

void HTMLScriptElement::setCharset | ( | const DOMString & |  | ) |

| see charset Definition at line 363 of file html_head.cpp.

bool HTMLScriptElement::defer | ( |  | ) | const

| Indicates that the user agent can defer processing of the script. See the defer attribute definition in HTML 4.0. Definition at line 368 of file html_head.cpp.

void HTMLScriptElement::setDefer | ( | bool |  | ) |

| see defer Definition at line 374 of file html_head.cpp.

DOMString HTMLScriptElement::src | ( |  | ) | const

| URI designating an external script. See the src attribute definition in HTML 4.0. Definition at line 381 of file html_head.cpp.

void HTMLScriptElement::setSrc | ( | const DOMString & |  | ) |

| see src Definition at line 387 of file html_head.cpp.

DOMString HTMLScriptElement::type | ( |  | ) | const

| The content type of the script language. See the type attribute definition in HTML 4.0. Definition at line 392 of file html_head.cpp.

void HTMLScriptElement::setType | ( | const DOMString & |  | ) |

| see type Definition at line 398 of file html_head.cpp.

The documentation for this class was generated from the following files:

- html_head.h
- html_head.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:38:21 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001